=== modified file 'bzrlib/remote.py'
--- bzrlib/remote.py	2007-06-21 02:33:43 +0000
+++ bzrlib/remote.py	2007-06-27 04:33:04 +0000
@@ -110,7 +110,7 @@
         elif response == ('nobranch',):
             raise errors.NotBranchError(path=self.root_transport.base)
         else:
-            assert False, 'unexpected response code %r' % (response,)
+            raise errors.UnexpectedSmartServerResponse(response)
 
     def open_branch(self, _unsupported=False):
         assert _unsupported == False, 'unsupported flag support not implemented yet.'
@@ -367,7 +367,7 @@
         elif response[0] == 'UnlockableTransport':
             raise errors.UnlockableTransport(self.bzrdir.root_transport)
         else:
-            assert False, 'unexpected response code %s' % (response,)
+            raise errors.UnexpectedSmartServerResponse(response)
 
     def lock_write(self, token=None):
         if not self._lock_mode:
@@ -416,7 +416,7 @@
         elif response[0] == 'TokenMismatch':
             raise errors.TokenMismatch(token, '(remote token)')
         else:
-            assert False, 'unexpected response code %s' % (response,)
+            raise errors.UnexpectedSmartServerResponse(response)
 
     def unlock(self):
         self._lock_count -= 1
@@ -849,7 +849,7 @@
         elif response[0] == 'ReadOnlyError':
             raise errors.ReadOnlyError(self)
         else:
-            assert False, 'unexpected response code %r' % (response,)
+            raise errors.UnexpectedSmartServerResponse(response)
             
     def lock_write(self, token=None):
         if not self._lock_mode:
@@ -899,7 +899,7 @@
             raise errors.TokenMismatch(
                 str((branch_token, repo_token)), '(remote tokens)')
         else:
-            assert False, 'unexpected response code %s' % (response,)
+            raise errors.UnexpectedSmartServerResponse(response)
 
     def unlock(self):
         self._lock_count -= 1

=== modified file 'bzrlib/transport/http/__init__.py'
--- bzrlib/transport/http/__init__.py	2007-05-06 06:59:57 +0000
+++ bzrlib/transport/http/__init__.py	2007-06-27 04:33:04 +0000
@@ -98,7 +98,6 @@
                 raise errors.InvalidHttpResponse(url,
                     'Opening header line did not start with HTTP: %s'
                     % (first_line,))
-                assert False, 'Opening header line was not HTTP'
             else:
                 break # We are done parsing
         first_header = False

=== modified file 'bzrlib/transport/remote.py'
--- bzrlib/transport/remote.py	2007-04-30 06:42:24 +0000
+++ bzrlib/transport/remote.py	2007-06-27 04:33:04 +0000
@@ -143,7 +143,7 @@
             return False
         else:
             self._translate_error(resp)
-        assert False, 'weird response %r' % (resp,)
+        raise errors.UnexpectedSmartServerResponse(resp)
 
     def get_smart_client(self):
         return self._medium

